#include<bits/stdc++.h>
#define LL long long int 
#define LD long double
#define PI 3.14159265358979323846
#define MOD ((LL)1e9+7)
#define IOS ios::sync_with_stdio(0); cin.tie(0); cout.tie(0);
using namespace std;
const LL N=1e5+10;
vector<LL>A(N),dp(N);
vector<bool>f(N);
LL n,k;
LL DP(LL I)
{
	if(f[I])return dp[I];
	
	if(I==1)dp[I]=0;
	else
	{
		dp[I]=1e18;
		for(LL j=1;j<=k && I-j>=1;j++)
		dp[I]=min(dp[I],DP(I-j)+abs(A[I]-A[I-j]));
	}
	f[I]=true;
	return dp[I];
	
}
int main()
{
	IOS
	cin>>n>>k;
	for(LL i=1;i<=n;i++)cin>>A[i];
	/*
	dp[1]=0;
	for(LL i=2;i<=n;i++)
	{
		LL d=1e18;
		for(LL j=1;j<=k && i-j>=1 ;j++)
		d=min(d,abs(A[i]-A[i-j])+dp[i-j]);
		dp[i]=d;
	}
	cout<<dp[n]<<endl;*/
	
	cout<<DP(n)<<endl;
		
	
	
}
			
				
			
	
	
	
			
		
